' WordPreview.VBS V1.04 (C) yoshioka.teruo@nifty.com 2006-03-08
' WordPreview.VBS previews files by Word.
' Usage: Start WordPreview.VBS files...

Option Explicit
Dim Application
Dim fso
Dim File
Dim Document
Const ReadOnly=True
Const Background=False
Const wdDoNotSaveChanges=0
Const msoAutomationSecurityLow=1
Const msoAutomationSecurityByUI=2
Const msoAutomationSecurityForceDisable=3
Const wdOpenFormatAuto=0
Const wdOpenFormatDocument=1
Const wdOpenFormatTemplate=2
Const wdOpenFormatRTF=3
Const wdOpenFormatText=4
Const wdOpenFormatEncodedText=5
Const wdOpenFormatUnicodeText=5
Const wdOpenFormatAllWord=6
Const wdOpenFormatWebPages=7

Set fso=CreateObject("Scripting.FileSystemObject")

For Each File In WScript.Arguments
  If TypeName(Application)<>"Application" Then 
    Set Application=CreateObject("Word.Application")
    Application.Visible=True
'    Application.AutomationSecurity=msoAutomationSecurityForceDisable
    Application.AutomationSecurity=msoAutomationSecurityByUI
  End If
  Select Case LCase(fso.GetExtensionName(File))
  Case "htm","html"
    Set Document=Application.documents.Open(File,,ReadOnly,,,,,,,wdOpenFormatWebPages)
  Case "txt"
'    Set Document=Application.documents.Open(File,,ReadOnly,,,,,,,wdOpenFormatText)
    Set Document=Application.documents.Open(File,,ReadOnly,,,,,,,wdOpenFormatEncodedText)
  Case Else
    Set Document=Application.documents.Open(File,,ReadOnly,,,,,,,wdOpenFormatAuto)
  End Select
  Document.PrintPreview
  Do
    If TypeName(Application)<>"Application" Then Exit For
    If Not Application.PrintPreview Then Exit Do
    WScript.Sleep 100
  Loop
  If TypeName(Application)="Application" Then Document.Close(wdDoNotSaveChanges)
Next
If TypeName(Application)="Application" Then Application.Quit
